Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class PaginatedTaskCommand<T>

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<T>
          org.jbpm.services.task.commands.PaginatedTaskCommand<T>

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<T>, Command<T>

Direct Known Subclasses:
  GetAllGroupAuditTasksAdminCommand, GetAllGroupAuditTasksByDueDateCommand, GetAllGroupAuditTasksByStatusByDueDateCommand, GetAllGroupAuditTasksByStatusByDueDateOptionalCommand, GetAllGroupAuditTasksByStatusCommand, GetAllGroupAuditTasksCommand, GetAllHistoryAuditTasksByUserCommand, GetAllHistoryAuditTasksCommand, GetAllUserAuditTasksAdminCommand, GetAllUserAuditTasksByDueDateCommand, GetAllUserAuditTasksByStatusByDueDateCommand, GetAllUserAuditTasksByStatusByDueDateOptionalCommand, GetAllUserAuditTasksByStatusCommand, GetAuditEventsCommand

    public abstract class PaginatedTaskCommand<T>

extends TaskCommand<T>

See Also:
  Serialized Form

Field Summary
`protected int` | `count`
`protected int` | `offset`

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupsIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, taskId, userId`

Constructor Summary
`PaginatedTaskCommand()`

Method Summary

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getTaskId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.drools.core.command.impl.GenericCommand
`execute`

Field Detail

### offset

    protected int offset

### count

    protected int count

Constructor Detail

### PaginatedTaskCommand

    public PaginatedTaskCommand()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.